#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	reportlab

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		python%{PVER}-%{original_name}
Version:	2.3
Release:	2
Summary:	Python PDF generation library
Group:		Development/Libraries
License:	BSD
URL:		http://www.reportlab.org/
Source0:	ReportLab_2_3.tar.gz
Patch260:	ReportLab_2_3-ccux.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	i686
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
Provides:	python-reportlab = %{version}-%{release}
Obsoletes:	python-reportlab <= %{version}-%{release}
Obsoletes:	python25-ReportLab <= %{version}-%{release}

%description
Python PDF generation library.

%package	docs
Summary:	Documentation files for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
Obsoletes:	python-reportlab-docs <= %{version}-%{release}
Obsoletes:	python25-ReportLab-docs <= %{version}-%{release}

%description	docs
The %{name}-docs package contains the documentation for ReportLab in PDF format.

%prep
%setup -q -n ReportLab_2_3

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

mv CHANGES.txt CHANGES
mv INSTALL.txt INSTALL
mv LICENSE.txt LICENSE
mv README.txt README
mv VERSION.txt VERSION

rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root,-)
%doc CHANGES INSTALL LICENSE README VERSION
%{python_sitelib}

%files docs
%defattr(-,root,root,-)
%doc docs/*

%changelog
* Thu Oct 29 2009 Christian Wasem <wasem@cccux-linux.de> 2.3-2
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@cccux-linux.de> 2.3-1
- Version update, build against python25-2.5.4-3
* Wed Apr 16 2008 Christian Wasem <wasem@cccux-linux.de> 2.1-1
- Initial release
